#!/bin/bash
echo "Configuring for VMWare Fusion"
# Improve network security
echo "Making network changes"
echo -e "# Do not act as a router\nnet.ipv4.ip_forward = 0\nnet.ipv6.conf.all.forwarding = 0\n\n# SYN flood protection\nnet.ipv4.tcp_syncookies = 1\n\n# Disable ICMP redirect\nnet.ipv4.conf.all.accept_redirects = 0\nnet.ipv4.conf.default.accept_redirects = 0\nnet.ipv4.conf.all.secure_redirects = 0\nnet.ipv4.conf.default.secure_redirects = 0\nnet.ipv6.conf.all.accept_redirects = 0\nnet.ipv6.conf.default.accept_redirects = 0\n\n# Do not send ICMP redirects\nnet.ipv4.conf.all.send_redirects = 0\nnet.ipv4.conf.default.send_redirects = 0" | sudo tee -a /etc/sysctl.d/90-network.conf > /dev/null
# Install and configure VMWare drivers and utilities
sudo pacman -S --noconfirm --needed open-vm-tools
sudo cat /proc/version > /etc/arch-release
sudo systemctl enable vmware-vmblock-fuse
sudo systemctl enable vmtoolsd
sudo pacman -S --noconfirm --needed xf86-input-vmmouse xf86-video-vmware mesa
# Install the noto fonts library
sudo pacman -S --noconfirm --needed noto-fonts noto-fonts-cjk noto-fonts-emoji
# Install KDE Plasma (from the package list)
sudo pacman -S --noconfirm --needed $(curl https://arch.ptmlab.co.uk/plasma-minimal.txt)
# Enable SDDM as the display manager
sudo systemctl enable sddm.service
# We're done, prompt for reboot
echo "Setup complete, please reboot."